INFO: Dieses Forum nutzt Cookies...
Cookies sind für den Betrieb des Forums unverzichtbar. Mit der Nutzung des Forums erklärst Du dich damit einverstanden, dass wir Cookies verwenden.

Es wird in jedem Fall ein Cookie gesetzt um diesen Hinweis nicht mehr zu erhalten. Desweiteren setzen wir Google Adsense und Google Analytics ein.


Antwort schreiben 

Dieses Thema hat akzeptierte Lösungen:

Fehler bei "Für vorige Version speichern"



Wenn dein Problem oder deine Frage geklärt worden ist, markiere den Beitrag als "Lösung",
indem du auf den "Lösung" Button rechts unter dem entsprechenden Beitrag klickst. Vielen Dank!

10.03.2023, 14:18
Beitrag #1

stoa Offline
LVF-Grünschnabel
*


Beiträge: 33
Registriert seit: Apr 2018

2019
2013
DE


Deutschland
Fehler bei "Für vorige Version speichern"
Hallo zusammen,

nachdem ich neulich eine Kleinigkeit programmiert und den Kollegen gegeben hatte, fiel uns auf, dass wegen Uralt-NI-Geräten, sie das Programm anstatt für die Laufzeitumgebung von 2019 für 2018 brauchen. Unter anderem auch wegen DAQmx-Treiber-Abhängigkeiten; das sagt sicher einigen von euch etwas.

Nun verließ ich mich auf die Funktion "Für vorige Version speichern" als ersten Schritt hin zur Erstellung eines Programms in 2018. Dazu habe ich die Funktion aus dem LabVIEW-Projekt heraus aufgerufen. Das Ergebnis davon ist ein Ordner mit der gesamten Hierarchie und den Abhängigkeiten für eine andere LabVIEW-Version - normalerweise. Das hat sich in der Vergangenheit schon einmal als durchaus brauchbar erwiesen.

Dieses Mal endet das Speichern jedoch mit der gehaltvollen Fehlermeldung:

LabVIEW: (Hex 0x6) Allgemeiner Datei-I/O-Fehler.

Speichern für vorhergehende Version aus unbekanntem Grund fehlgeschlagen.
Möglicherweise ist der Speicher voll oder der Zugriff auf den Datenträger ist nicht erlaubt.

Bildschirmfoto der Meldung anbei. Bei meinen Recherchen gab es seitens NI den Hinweis, man solle in dem Fall LabVIEW mit Administratorrechten ausführen. Leider hatte ich damit keinen Erfolg. Hat jemand eine Idee dazu?

mit Gruß
stoa


Angehängte Datei(en) Thumbnail(s)
   
Alle Beiträge dieses Benutzers finden
Diese Nachricht in einer Antwort zitieren to top
10.03.2023, 14:26
Beitrag #2

GerdW Offline
______________
LVF-Team

Beiträge: 17.411
Registriert seit: May 2009

LV2021
1995
DE_EN

10×××
Deutschland
RE: Fehler bei "Für vorige Version speichern"
Hallo stoa,

vielleicht ist ja die Festplatte voll…

Was passiert, wenn du einzelne subVIs runterkonvertierst? (VI öffnen und im Menü dann File->Save for previous nutzen)

Alle Beiträge dieses Benutzers finden
Diese Nachricht in einer Antwort zitieren to top
13.03.2023, 08:25
Beitrag #3

TpunktN Offline
LVF-Gelegenheitsschreiber
**


Beiträge: 199
Registriert seit: Jul 2011

2021
2011
EN

70***
Deutschland
RE: Fehler bei "Für vorige Version speichern"
Guten Morgen stoa,

willst du auf ein Netzlaufwerk speichern? Dann versuche es mal lokal.

Grüße Timo

"Auch aus Steinen, die einem in den Weg gelegt werden, kann man Schönes bauen."
Johann Wolfgang von Goethe
Alle Beiträge dieses Benutzers finden
Diese Nachricht in einer Antwort zitieren to top
20.03.2023, 12:02
Beitrag #4

stoa Offline
LVF-Grünschnabel
*


Beiträge: 33
Registriert seit: Apr 2018

2019
2013
DE


Deutschland
RE: Fehler bei "Für vorige Version speichern"
(10.03.2023 14:26 )GerdW schrieb:  Hallo stoa,

vielleicht ist ja die Festplatte voll…

Was passiert, wenn du einzelne subVIs runterkonvertierst? (VI öffnen und im Menü dann File->Save for previous nutzen)

Ja, GerdW, den Router habe ich auch schon neugestartet Big Grin Die einzelnen SubVIs haben auch keine Lust.

(13.03.2023 08:25 )TpunktN schrieb:  Guten Morgen stoa,

willst du auf ein Netzlaufwerk speichern? Dann versuche es mal lokal.

Grüße Timo

Nein, ich speichere lokal.
Alle Beiträge dieses Benutzers finden
Diese Nachricht in einer Antwort zitieren to top
20.03.2023, 12:39
Beitrag #5

GerdW Offline
______________
LVF-Team

Beiträge: 17.411
Registriert seit: May 2009

LV2021
1995
DE_EN

10×××
Deutschland
RE: Fehler bei "Für vorige Version speichern"
Hallo stoa,

Zitat:Die einzelnen SubVIs haben auch keine Lust.
Kannst du mal eines der subVIs hier anhängen?

Alle Beiträge dieses Benutzers finden
Diese Nachricht in einer Antwort zitieren to top
20.03.2023, 15:05
Beitrag #6

stoa Offline
LVF-Grünschnabel
*


Beiträge: 33
Registriert seit: Apr 2018

2019
2013
DE


Deutschland
RE: Fehler bei "Für vorige Version speichern"
Hallo GerdW,

ja. Das hätte ich jetzt schon gern gemacht. Das erste VI, das mir in die Hand viel, hatte aber so viele Abhängigkeiten, das wäre ja umständlich. Also habe ich eines, mit wenig bis gar keinen Abhängigkeiten gefunden und das: Lässt sich natürlich als LV2018 speichern. Toll...

Sobald ein SubVI also weitere Abhängigkeiten hat, gibt's Probleme... Aber ansonsten funktioniert alles gut. Da kann die Fehlersuche ja heiter werden...
Ich mache jetzt mal alternativ "Speichern unter => *.lvproj und Inhalt kopieren" - das ist ja zumindest eine "artverwandte" Funktion... Ja toll, das funktioniert auch nicht sauber. Der kopiert alle Abhängigkeiten, aber sobald er an den ersten Aufrufer ebendieser Abhängikeiten gerät, bricht er ab. Dieses Mal sogar ohne Fehlermeldung.

Das ist übel Blink
Alle Beiträge dieses Benutzers finden
Diese Nachricht in einer Antwort zitieren to top
Anzeige
20.03.2023, 15:10
Beitrag #7

GerdW Offline
______________
LVF-Team

Beiträge: 17.411
Registriert seit: May 2009

LV2021
1995
DE_EN

10×××
Deutschland
RE: Fehler bei "Für vorige Version speichern"
Hallo stoa,

Zitat:Das erste VI, das mir in die Hand viel, hatte aber so viele Abhängigkeiten, das wäre ja umständlich. Also habe ich eines, mit wenig bis gar keinen Abhängigkeiten gefunden und das: Lässt sich natürlich als LV2018 speichern. Toll...
Manchmal hilft es ja, ein VI ohne seine Abhängigkeiten zu laden: dann lässt es sich gern auch mal konvertieren, weil die Abhängigkeiten eben nicht da sind…

Alle Beiträge dieses Benutzers finden
Diese Nachricht in einer Antwort zitieren to top
21.03.2023, 09:00
Beitrag #8

Martin.Henz Offline
LVF-Team
LVF-Team

Beiträge: 415
Registriert seit: Jan 2005

2.5.1 bis 20
1992
kA

74363
Deutschland
RE: Fehler bei "Für vorige Version speichern"
Hallo stoa,

das liest sich (für mich) inzwischen ein wenig anders als am Anfang.

Sehe mal in deinem Projekt nach, ob dort unter den Dependencies einzelne VIs mit diesem gelben Warndreieck versehen sind. Dein Programm kann auch trotz dieser Warnungen problemlos funktionieren, aber beim kopieren oder beim speichern für eine ältere Version ist das eventuell sogar tödlich oder nahezu tödlich.

Wie das im Detail genau ist, kann ich nicht sagen, denn ich habe das fast nie bei meinen ureigenen Programmen. Wenn doch, dann ist mir bekannt warum das so ist und es wird sobald wie möglich aufgeräumt.

Martin Henz
Webseite des Benutzers besuchen Alle Beiträge dieses Benutzers finden
Diese Nachricht in einer Antwort zitieren to top
21.03.2023, 11:24
Beitrag #9

stoa Offline
LVF-Grünschnabel
*


Beiträge: 33
Registriert seit: Apr 2018

2019
2013
DE


Deutschland
RE: Fehler bei "Für vorige Version speichern"
Hallo zusammen,

(20.03.2023 15:10 )GerdW schrieb:  Manchmal hilft es ja, ein VI ohne seine Abhängigkeiten zu laden: dann lässt es sich gern auch mal konvertieren, weil die Abhängigkeiten eben nicht da sind…

ja, das aber ist ja gerade die Funktion, die ich benötige. LabVIEW soll mir die Abhängigkeiten zu den SubVIs aus der user.lib und sonstwoher auflösen und die gleich mit konvertieren. So hat das in der Vergangenheit auch häufiger gut funktioniert.

(21.03.2023 09:00 )Martin.Henz schrieb:  Sehe mal in deinem Projekt nach, ob dort unter den Dependencies einzelne VIs mit diesem gelben Warndreieck versehen sind. Dein Programm kann auch trotz dieser Warnungen problemlos funktionieren, aber beim kopieren oder beim speichern für eine ältere Version ist das eventuell sogar tödlich oder nahezu tödlich.

Wie das im Detail genau ist, kann ich nicht sagen, denn ich habe das fast nie bei meinen ureigenen Programmen. Wenn doch, dann ist mir bekannt warum das so ist und es wird sobald wie möglich aufgeräumt.

Hallo Martin. Schön, dass du dich mit einbringst. Wenn ich Uralt-Programm von Kollegen vom Ende der Nullerjahre öffne, habe ich immer eine Flasche Schnaps in Reichweite Box
Bei meinen Programmen gibt es keine unaufgelösten oder fraglichen Abhängigkeiten, obwohl ich festgestellt habe, dass LabVIEW einem hier durchaus auch üble Streiche spielen kann. Das Projekt ist jedenfalls sauber.

Für mein konkretes Problem hier habe ich jetzt eine Lösung basteln können, trotzdem wurmt es mich natürlich und ich würde gern verstehen, was da schief läuft.
Alle Beiträge dieses Benutzers finden
Diese Nachricht in einer Antwort zitieren to top
21.03.2023, 11:55
Beitrag #10

GerdW Offline
______________
LVF-Team

Beiträge: 17.411
Registriert seit: May 2009

LV2021
1995
DE_EN

10×××
Deutschland
RE: Fehler bei "Für vorige Version speichern"

Akzeptierte Lösung

Hallo stoa,

Zitat:LabVIEW soll mir die Abhängigkeiten zu den SubVIs aus der user.lib und sonstwoher auflösen und die gleich mit konvertieren.
Meine Intention/Vorgehensweise dazu:
- VI ohne Abhängigkeiten konvertieren sollte (quasi immer) funktionieren
- Abhängigkeiten in der user.lib habe ich IMMER für alle verwendeten LV-Versionen separat im SVN vorliegen -> die müssen damit nicht extra "mit konvertiert werden"!
- Abhängigkeiten liegen in ihren eigenen Projekten vor und sollten/können dort konvertiert werden (wenn nötig)

Alle Beiträge dieses Benutzers finden
Diese Nachricht in einer Antwort zitieren to top
30
Antwort schreiben 


Möglicherweise verwandte Themen...
Themen Verfasser Antworten Views Letzter Beitrag
  Build-Fehler: Fehler beim Kopieren der Dateien Uwe Fechner 1 6.940 13.06.2010 16:34
Letzter Beitrag: Uwe Fechner
  Fehler bei *.exe Ausführung, als VI klappts aber! Fehler dort, beim nach Excel schreiben! AndiMetzger 12 13.267 23.06.2006 10:43
Letzter Beitrag: AndiMetzger

Gehe zu: